#include <bits/stdc++.h>
using namespace std;
#define dbg(x) cout << (x) << "\n";

typedef struct granice{
    int d,u;
}granice;

typedef struct upiti{
    int i,j,v;
}upiti;

int main()
{
    int i,j,n,m;
    cin>>n;
    cin>>m;
    granice vage[n];
    upiti pita[m];
    int resenja[m];

    for(i=0;i<n;i++){
        cin>>vage[i].d;
        cin>>vage[i].u;
    }
    for(i=0;i<m;i++){
        cin>>pita[i].i;
        pita[i].i--;
        cin>>pita[i].j;
        cin>>pita[i].v;
    }
    for(i=0;i<m;i++)
        resenja[i]=0;

    for(i=0;i<m;i++){
        for(j=pita[i].i;j<pita[i].j;j++){
            if((pita[i].v >= vage[j].d) &&(pita[i].v <= vage[j].u))
                resenja[i]++;
        }
    }
    for(i=0;i<m;i++){
        dbg(resenja[i]);
    }
    return 0;
}